CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.com] OpenFOAM v1.7.1 on Ubuntu 14.04 LTS

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   August 8, 2016, 13:06
Default OpenFOAM v1.7.1 on Ubuntu 14.04 LTS
  #1
Member
 
Reza khodadadi
Join Date: Apr 2011
Location: London, UK
Posts: 32
Rep Power: 10
reza_65 is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
Greetings Antonio,

I moved your post from http://www.cfd-online.com/Forums/ope...on-errors.html to a new thread, because although this is very similar to the other issue, the other variant+version of OpenFOAM discussed there is considerably different.

Essentially, the problem is that you're trying to build OpenFOAM 1.7.1 with an incompatible GCC version, as indicated here: http://openfoamwiki.net/index.php/In...tion_.28GCC.29

The simplest solution is to install the packages for GCC 4.4 that Ubuntu 14.10 has got:
Code:
sudo apt-get install gcc-4.4 g++-44
Then in order to use this specific compiler... wait, have a look at these instructions: http://openfoamwiki.net/index.php/In...u#Ubuntu_12.04 - roughly follow those instructions, but change for yourself all occurrences from 4.5 to 4.4 and you should be good to go.

If this doesn't work for you, I can try this coming weekend to test this myself and write on the wiki.

Best regards,
Bruno

Hi,

I tried this instruction, and that was not work for me to install openFoam 1.7.1 in Ubuntu 14.04!
And, I already tried wikki's instruction as well, but that was not working!
Even though in wikki, it is mentioned gcc 4.5!!! and I changed those to gcc 4.4, but that was the same sort of errors!
Can you please kindly help me to sort it out this installation?

Regards,
Reza

[Moderator note: moved from http://www.cfd-online.com/Forums/ope...c-unicorn.html]

Last edited by wyldckat; September 11, 2016 at 12:31. Reason: see "Moderator note:"
reza_65 is offline   Reply With Quote

Old   August 10, 2016, 07:09
Default OpenFOAM v1.7.1 on Ubuntu 14.04 LTS
  #2
Member
 
Reza khodadadi
Join Date: Apr 2011
Location: London, UK
Posts: 32
Rep Power: 10
reza_65 is on a distinguished road
Hello,
I m having problem with installation of openfoam 1.7.1 on ubuntu 14.04.
I am already installed other version of openFoam in this Ubuntu 14.04, like: openFOAM 2.1.1, 2.3., 3.0 and 4.0, but I have problem with instalation of this older version!
I also tried the following links advices, but those were not working for me.

http://www.cfd-online.com/Forums/ope...c-unicorn.html

https://openfoamwiki.net/index.php/I...M-1.7.1/Ubuntu

And, I think the problem is GCC-4.5!
Can you please help to resolving this issue?

Any help would be appreciated.

Regards,
Reza
reza_65 is offline   Reply With Quote

Old   September 11, 2016, 15:08
Default
  #3
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,936
Blog Entries: 42
Rep Power: 119
wyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of light
Quick answer: I've finally managed to take a quick look into this.

I'll still need to do further testing of the instructions, but the ones I already have up now seem to work so far: http://openfoamwiki.net/index.php/In...u#Ubuntu_14.04

The instructions I'm testing with are using GCC 4.4, because 4.5 doesn't exist for Ubuntu 14.04.

edit: I've finished writing and testing these instructions!
__________________

Last edited by wyldckat; September 11, 2016 at 17:47. Reason: see "edit:"
wyldckat is offline   Reply With Quote

Old   August 28, 2017, 14:29
Default
  #4
Member
 
Reza khodadadi
Join Date: Apr 2011
Location: London, UK
Posts: 32
Rep Power: 10
reza_65 is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
Quick answer: I've finally managed to take a quick look into this.

I'll still need to do further testing of the instructions, but the ones I already have up now seem to work so far: http://openfoamwiki.net/index.php/In...u#Ubuntu_14.04

The instructions I'm testing with are using GCC 4.4, because 4.5 doesn't exist for Ubuntu 14.04.

edit: I've finished writing and testing these instructions!
Thank you, I managed to resolve the GCC problem.

Cheers,
Reza
reza_65 is offline   Reply With Quote

Reply

Tags
gcc 4.4.3, gcc 4.5, openfoam 1.7.1, openfoam 1.7.x, ubuntu 14.04 lts

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[OpenFOAM.org] Can't find installation instruction for Openfoam 2.4.x , on Ubuntu 16.04 titanium OpenFOAM Installation 9 October 24, 2018 17:17
OpenFOAM v3.0+ ?? SBusch OpenFOAM 22 December 26, 2016 14:24
[waves2Foam] Problems compiling with Ubuntu 14.04 and OpenFOAM 3.0.1 kenrichaiz OpenFOAM Community Contributions 4 December 1, 2016 03:05
New OpenFOAM Forum Structure jola OpenFOAM 2 October 19, 2011 06:55
OpenFOAM on Ubuntu 10.04 LTS chinc OpenFOAM 6 June 2, 2010 14:38


All times are GMT -4. The time now is 03:32.